> For the complete documentation index, see [llms.txt](https://docs.altum.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.altum.ai/verduurzamen/verduurzaming-api-v2-appartementen/voorbeeld-api-calls.md).

# Voorbeeld API calls

#### Eenvoudig request

{% hint style="info" %}

#### *<mark style="color:red;">**Het is aan te raden zowel de positie als het aantal verdiepingen van het appartement op te geven voor optimale resultaten.**</mark>*&#x20;

{% endhint %}

```html
{
  "postcode": "3024XL",
  "housenumber":227,
  "houseaddition": "B",
  "position": 3,
  "floors": 1
}
```

#### Gebouwparameters toevoegen

```
{
  "postcode": "3024XL",
  "housenumber":227,
  "houseaddition": "B",
  "position": 3,
  "floors": 1,
  "back_facade": true,
  "build_year" : 1961,
  "inner_surface_area": 90
}
```

#### Huidige maatregelen toevoegen

```
{
  "postcode": "3024XL",
  "housenumber":227,
  "houseaddition": "B",
  "position": 3,
  "floors": 1,
  "back_facade": true,
  "build_year" : 1961,
  "inner_surface_area": 90,
  "wall_insulation": 1,
  "floor_insulation": 1,
  "roof_insulation": 1,
  "living_room_windows": 1,
  "shower": 1,
  "cooling": 1,
  "electric_cooking": 1,
  "ventilation": 1,
  "installation": 4
}
```

#### Zonnepanelen toevoegen

```
{
  "postcode": "3024XL",
  "housenumber":227,
  "houseaddition": "B",
  "position": 3,
  "floors": 1,
  "back_facade": true,
  "solar_panels": [{"pv_total_watt_peak":2000,
                    "angle":45,
                    "orientation":180,
                    "roof_type":1,
                    "free_roof_area": 20.0
                   },
                   {"pv_area": 20,     
                    "specific_watt_peak": 150,
                    "angle":45,
                    "orientation":180,
                    "roof_type":1
                   }]        
}
```

#### Verplicht doel energielabel toevoegen

```
{
  "postcode": "3024XL",
  "housenumber":227,
  "houseaddition": "B",
  "position": 3,
  "floors": 1,
  "back_facade": true,
  "target_label": "B",
  "energylabel_strict": 1
}
```

#### Verbruiksgegevens toevoegen

```
{
  "postcode": "3024XL",
  "housenumber":227,
  "houseaddition": "B",
  "position": 3,
  "floors": 1,
  "back_facade": true,
  "heat_usage": 25,
  "electricity_usage": 4500,
  "gas_usage": 750
}
```

#### Filters toevoegen

```
{
  "postcode": "3024XL",
  "housenumber":227,
  "houseaddition": "B",
  "position": 3,
  "floors": 1,
  "back_facade": true,
   "wall_filters": {"biobased": true, "cavity": true, "material":[4]},
  "roof_filters": {"biobased": false, "insulation_side": 2, "replace_roof": true, "material":[1]},
  "floor_filters": {"floor_type": 1, "crawl_space": true, "material":[2]}
}
```

#### Maatregelen vergrendelen

```
{
  "postcode": "3024XL",
  "housenumber":227,
  "houseaddition": "B",
  "position": 3,
  "floors": 1,
  "target_label":"B",
  "lock_measures": ["wall_insulation"]
}
```

#### Maatregelen uitsluiten

```
{
  "postcode": "3024XL",
  "housenumber":227,
  "houseaddition": "B",
  "position": 3,
  "floors": 1,
  "exclude_measures": [1003,5004]
}
```

#### Extra velden toevoegen

```
{
  "postcode": "3024XL",
  "housenumber":227,
  "houseaddition": "B",
  "position": 3,
  "floors": 1,
  "back_facade": true,
	"search_criteria": 3,
  "max_investment":20000,
  "inhabitants":4,
  "electricity_generation": 100,
  "minimum_solar_panels": 3,
  "heatpump_insulation_req": 3,
  "natural_gas":1,
  "exclude_vat":false,
  "heat_pump_allowed":true,
  "district_heating_allowed":false,
  "fetch_definitive_label": 1,
  "cost_indicators":{"fixed_gas_price":100}
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.altum.ai/verduurzamen/verduurzaming-api-v2-appartementen/voorbeeld-api-calls.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
